#!/usr/bin/env bash
set -e

# Copyright (c) 2022 Bryan Joshua Pedini
# License: MIT · see LICENSE file for more details

REGEX="^[ ]*(#.*)?$"
while read -r VERSION; do
  if [[ ! "${VERSION}" =~ $REGEX ]]; then
    docker build --force-rm --build-arg GO_VERSION=${VERSION} -t bryanpedini/gobuilder:${VERSION} .
    docker push bryanpedini/gobuilder:${VERSION}
    docker image rm bryanpedini/gobuilder:${VERSION} golang:${VERSION}
  fi
done < versionlist
